import { ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from "@angular/core";
import { ManageService } from "../../services/manage.service";
import { GlobalStateService } from "tango-app-ui-global";
import { Subscription } from "rxjs";
import { ActivatedRoute, Router } from "@angular/router";
import { NgbModal } from "@ng-bootstrap/ng-bootstrap";
import { ToastService } from "tango-app-ui-shared";
import { MatTooltip } from "@angular/material/tooltip";
import { Clipboard } from '@angular/cdk/clipboard';
import * as i0 from "@angular/core";
export declare class TangoManageComponent implements OnInit, OnDestroy {
    private manageService;
    private modalService;
    private activatedRoute;
    gs: GlobalStateService;
    private ts;
    private clipboard;
    private cd;
    private router;
    getAllClientValue: any;
    clientUser: boolean;
    tangoUser: boolean;
    getClientValue: any;
    headerFilter: any;
    titleData: any;
    private readonly destroy$;
    users: any;
    clientValue: boolean;
    routerSubscription: any;
    url: string[];
    private clientCache;
    private allClientsCache;
    isAccordionExpanded: boolean;
    accordion?: any;
    clientData: any;
    headerData: any;
    headerFilters: any;
    storeDetails: any;
    storeAppId: any;
    storeProfileData: any;
    storeSpocDetails: any;
    isCopied: boolean;
    storeIdarray: any;
    typeValue: boolean;
    dataStoreMap: any;
    showCreateOrder: 'AUTHORIZED' | 'UNAUTHORIZED';
    menuDisplay: boolean;
    sub: Subscription | undefined;
    sub1: Subscription | undefined;
    sub2: Subscription | undefined;
    sub3: Subscription | undefined;
    sub4: Subscription | undefined;
    sub5: Subscription | undefined;
    sub6: Subscription | undefined;
    sub7: Subscription | undefined;
    clientName: any;
    constructor(manageService: ManageService, modalService: NgbModal, activatedRoute: ActivatedRoute, gs: GlobalStateService, ts: ToastService, clipboard: Clipboard, cd: ChangeDetectorRef, router: Router);
    toggleAccordion(): void;
    ngOnInit(): void;
    isActive: boolean;
    storeName: any;
    dataUser: any;
    initializeComponent(): void;
    getClientData(): void;
    getAll(): void;
    getClient(): void;
    ngOnDestroy(): void;
    changes(e: any): void;
    csmUser(): void;
    selectedTab: any;
    selectTab(index: any): void;
    getStoreLog(id: any): void;
    tooltip: MatTooltip;
    copyButton: ElementRef;
    copyText(text: any): void;
    getMaskedValue(value: string, role: string): string;
    getMaskedMobile(value: string, role: string): string;
    getEmployeeprofile: any;
    getManageUsers(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TangoManageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TangoManageComponent, "lib-tango-manage", never, {}, {}, never, never, false, never>;
}
