import { HttpClient } from '@angular/common/http';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import { GlobalStateService } from 'tango-app-ui-global';
import * as i0 from "@angular/core";
export declare class ManageService {
    private router;
    private http;
    private gs;
    clientApiUrl: any;
    storeApiUrl: any;
    trafficApiUrl: any;
    traxUrl: any;
    aiAnalysisUrl: any;
    constructor(router: Router, http: HttpClient, gs: GlobalStateService);
    getAllClientInfo(): Observable<any>;
    getClientInfo(client?: any): Observable<any>;
    getBrandDetails(id: any): Observable<Object>;
    private handleError;
    getStoreLogData(data: any, id: any): Observable<Object>;
    getStoreMapData(params: any): Observable<any>;
    isLocusAuthorized(): Observable<Object>;
    getEmployeeProfileData(params: any): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ManageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ManageService>;
}
